﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CustomEventDemo.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Custom Client Side Events Demo</title>
    <style> 
    .modalBackground
    { background-color:Gray;
	  filter:alpha(opacity=70);
	  opacity:0.7;
	}
    </style>

    <script src="jquery-1.2.6.min.js" type="text/javascript"></script>
    <script  type="text/javascript">
   
    function MulVals(e,val)
    {   $('#txtMulVal')[0].value = val;
        $('#txtMulResult')[0].value = val*2;
    }
    
    
    function AddVals(e,val)
    {   $('#txtAddVal')[0].value = val;
        $('#txtAddResult')[0].value = val+2;
    }
    
    function DivVals(e,val)
    {   $('#txtDivVal')[0].value = val;
        $('#txtDivResult')[0].value = val/2;
    }
    
    function DivChkChanged(x)
    {
        if(x.checked)
             jQuery(document).bind('okbuttonpressed', DivVals);         
        else
              jQuery(document).unbind('okbuttonpressed', DivVals);
    }
    
    function MulChkChanged(x)
    {
        if(x.checked)
             jQuery(document).bind('okbuttonpressed', MulVals);         
        else
              jQuery(document).unbind('okbuttonpressed', MulVals);
    }
    
    function AddChkChanged(x)
    {
        if(x.checked)
             jQuery(document).bind('okbuttonpressed', AddVals);         
        else
              jQuery(document).unbind('okbuttonpressed', AddVals);
    }
    

    function GetNumber()
    {  
        var i = $("#txtVal")[0].value;
        var val = parseInt(i);
        if( val != i)
        {alert("Please enter a valid integer.");$("#txtVal")[0].value=0;}
         else
         { jQuery(document).trigger('okbuttonpressed', val);}
    }
    
   


    </script>
</head>

<body style="font-family:Calibri">
    <form id="form1" runat="server">
        <ajaxToolkit:ToolkitScriptManager ID="ScriptManager1" runat="server" />
        <br />
        <div>
            <asp:TextBox ID="txtMulVal" runat="server"></asp:TextBox>
            * 2 =
            <asp:TextBox ID="txtMulResult" runat="server"></asp:TextBox>
            <asp:CheckBox ID="chkMul" runat="server" /><br />
            <br />
            <asp:TextBox ID="txtAddVal" runat="server"></asp:TextBox>
            + 2 =
            <asp:TextBox ID="txtAddResult" runat="server"></asp:TextBox>
            <asp:CheckBox ID="chkAdd" runat="server" /><br />
            <br />
            <asp:TextBox ID="txtDivVal" runat="server"></asp:TextBox>
            / 2 =
            <asp:TextBox ID="txtDivResult" runat="server"></asp:TextBox>
            <asp:CheckBox ID="chkDivide" runat="server" />
            <br />
            <br />
            <asp:Button ID="Button1" runat="server" Text="Get Value" /><br />
            <ajaxToolkit:ModalPopupExtender PopupControlID="Panel1" ID="ModalPopupExtender1" runat="server" 
            TargetControlID="Button1" CancelControlID="btnCancel" OkControlID="btnOK" 
            BackgroundCssClass="modalBackground" OnOkScript="GetNumber();" >
            </ajaxToolkit:ModalPopupExtender>
            <br />
            <asp:Panel ID="Panel1" runat="server" BackColor="White">
                <table border="1" cellspacing="0" cellpadding="3" style="width: 250px; height: 40%; border-right: #000000 2px solid; border-top: #000000 2px solid; border-left: #000000 2px solid; border-bottom: #000000 2px solid;">
                    <tr>
                        <td style="height: 10px; color: #ffffff; background-color: #000000;">
                        Enter New Value
                        </td>
                    </tr>
                    <tr>
                        <td style=" height: 80px">
                        Enter the new value:<br />
                            <asp:TextBox ID="txtVal" runat="server"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Button ID="btnOK" runat="server" EnableTheming="True" Text="OK" />
                            <asp:Button ID="btnCancel" runat="server" Text="Cancel" /></td>
                    </tr>
                </table>
            </asp:Panel>
        </div>
    </form>
</body>
</html>
